diff --git a/src/backend/access/nbtree/nbtxlog.c b/src/backend/access/nbtree/nbtxlog.c
index 2debb87..0489969 100644
--- a/src/backend/access/nbtree/nbtxlog.c
+++ b/src/backend/access/nbtree/nbtxlog.c
@@ -618,7 +618,7 @@ btree_xlog_delete_get_latestRemovedXid(xl_btree_delete *xlrec)
 	 * start just after we look.  If so, it cannot need to conflict, but this
 	 * coding will result in throwing a conflict anyway.
 	 */
-	if (CountDBBackends(InvalidOid) == 0)
+	if ((CountDBBackends(InvalidOid) == 0) || (!IsPostmasterEnvironment))
 		return latestRemovedXid;
 
 	/*
